Bug 15928 - Show unlinked guarantor
Summary: Show unlinked guarantor
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-26 21:13 UTC by Nick Clemens
Modified: 2016-12-05 21:25 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15928 - Show unlinked guarantor (2.73 KB, patch)
2016-02-26 21:15 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 15928 - Show unlinked guarantor (2.30 KB, patch)
2016-03-25 20:19 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 15928 - Show unlinked guarantor (2.25 KB, patch)
2016-03-25 20:23 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 15928 - Show unlinked guarantor (2.53 KB, patch)
2016-04-04 11:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
[3.22.x] Bug 15928 - Show unlinked guarantor (2.16 KB, patch)
2016-04-14 13:18 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2016-02-26 21:13:21 UTC
Currently you can enter info for a guarantor without linking it to an account, however, you cannot see this info on the details page.  If we can save it, we should show it.
Comment 1 Nick Clemens 2016-02-26 21:15:25 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2016-03-03 09:01:16 UTC
I can see the improvement with your patch, but isn't it a bug in the first place? Shouldn't the guarantor Surname/Firstname data entry be blocked?
Comment 3 Nick Clemens 2016-03-03 12:37:48 UTC
Some libraries use this currently for patrons whose guarantor doesn't have a card. It lets them have a record of the name of a responsible party and I think removing this ability would be a loss.

I also think these fields can be used for organisation/affiliation when there may not be an account but still allows for grouping patrons.
Comment 4 Srdjan Jankovic 2016-03-14 03:14:52 UTC
I think that condition would benefit greatly if written as:
[% IF ( guarantorborrowernumber ) %]
...
[% ELSIF (guarantorsurname || guarantorfirstname) %]
...
[% END %]
Comment 5 Jonathan Druart 2016-03-18 16:52:05 UTC
(In reply to Srdjan Jankovic from comment #4)
> I think that condition would benefit greatly if written as:
> [% IF ( guarantorborrowernumber ) %]
> ...
> [% ELSIF (guarantorsurname || guarantorfirstname) %]
> ...
> [% END %]

Agreed.
Comment 6 Nick Clemens 2016-03-25 20:19:21 UTC Comment hidden (obsolete)
Comment 7 Nick Clemens 2016-03-25 20:23:41 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2016-04-04 11:45:21 UTC
Created attachment 49848 [details] [review]
Bug 15928 - Show unlinked guarantor

To test:
1 - Add guarantor data to patron account by typing it in but do not 'Set to patron'
2 - Note it is not displayed on patron details
3 - Apply patch
4 - Note the info is displayed
5 - Test that linked guarantors show as expected

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Amended-patch: Correct some indents/spaces
Comment 9 Brendan Gallagher 2016-04-06 23:51:10 UTC
Pushed to Master - Should be in the May 2016 Release.  Thanks!
Comment 10 Julian Maurice 2016-04-14 13:18:15 UTC
Created attachment 50234 [details] [review]
[3.22.x] Bug 15928 - Show unlinked guarantor

Patch for 3.22.x
Comment 11 Julian Maurice 2016-04-14 13:22:49 UTC
Patch pushed to 3.22.x, will be in 3.22.6
Comment 12 Frédéric Demians 2016-04-27 15:33:20 UTC
Pushed to 3.22.x, will be in 3.20.11.